# OSGeo::FDO::Geometry::FgfGeometryFactory Class Reference
[OSGeo::FDO::Geometry]

Inheritance diagram for OSGeo::FDO::Geometry::FgfGeometryFactory:

[legend]

List of all members.

## Detailed Description

The FgfGeometryFactory class is an FGF-based Geometry factory, a concrete class that implements all the members from GeometryFactoryAbstract.

()

## Public Member Functions
OSGeo::FDO::Geometry::ICircularArcSegment * | CreateCircularArcSegment (OSGeo::FDO::Geometry::IDirectPosition *startPosition, OSGeo::FDO::Geometry::IDirectPosition *midPosition, OSGeo::FDO::Geometry::IDirectPosition *endPosition)
| CircularArcSegment.
OSGeo::FDO::Geometry::ICurvePolygon * | CreateCurvePolygon (OSGeo::FDO::Geometry::IRing *exteriorRing, OSGeo::FDO::Geometry::RingCollection *interiorRings)
| CurvePolygon.
OSGeo::FDO::Geometry::ICurveString * | CreateCurveString (OSGeo::FDO::Geometry::CurveSegmentCollection *curveSegments)
| CurveString.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometry (OSGeo::FDO::Geometry::IEnvelope *envelope)
| Creates a Geometry object by converting from an envelope.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometry (System::String *text)
| Creates a Geometry object by converting from a text string.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometry (OSGeo::FDO::Geometry::IGeometry *geometry)
| Creates a Geometry object by copying from another Geometry.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometryFromFgf (System::Byte bytes[], Int32 count)
| Creates a Geometry from FGF data.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometryFromFgf (System::Byte bytes[])
| Creates a Geometry from FGF data.
OSGeo::FDO::Geometry::IGeometry * | CreateGeometryFromWkb (System::Byte bytes[])
| Creates an FGF-based Geometry from OpenGIS WKB data.
OSGeo::FDO::Geometry::ILinearRing * | CreateLinearRing (System::Int32 dimensionality, System::Int32 ordinateNumber, System::Double ordinates[])
| Creates a LinearRing object by copying from an array of ordinates.
OSGeo::FDO::Geometry::ILinearRing * | CreateLinearRing (OSGeo::FDO::Geometry::DirectPositionCollection *positions)
| LinearRing.
OSGeo::FDO::Geometry::ILineString * | CreateLineString (System::Int32 dimensionType, System::Int32 ordinateNumber, System::Double ordinates[])
| Creates a LineString object by copying from an array of ordinates.
OSGeo::FDO::Geometry::ILineString * | CreateLineString (OSGeo::FDO::Geometry::DirectPositionCollection *positions)
| Methods from GeometryFactoryAbstract.
OSGeo::FDO::Geometry::ILineStringSegment * | CreateLineStringSegment (System::Int32 dimType, System::Int32 ordinateNumber, System::Double ordinates[])
| Creates a LineStringSegment object by copying from an array of ordinates.
OSGeo::FDO::Geometry::ILineStringSegment * | CreateLineStringSegment (OSGeo::FDO::Geometry::DirectPositionCollection *positions)
| LineStringSegment.
OSGeo::FDO::Geometry::IMultiCurvePolygon * | CreateMultiCurvePolygon (OSGeo::FDO::Geometry::CurvePolygonCollection *curvePolygons)
| MultiCurvePolygon.
OSGeo::FDO::Geometry::IMultiCurveString * | CreateMultiCurveString (OSGeo::FDO::Geometry::CurveStringCollection *curveStrings)
| MultiCurveString.
OSGeo::FDO::Geometry::IMultiGeometry * | CreateMultiGeometry (OSGeo::FDO::Geometry::GeometryCollection *geometries)
| MultiGeometry.
OSGeo::FDO::Geometry::IMultiLineString * | CreateMultiLineString (OSGeo::FDO::Geometry::LineStringCollection *lineStrings)
| MultiLineString.
OSGeo::FDO::Geometry::IMultiPoint * | CreateMultiPoint (System::Int32 dimensionality, System::Int32 ordinateNumber, System::Double ordinates[])
| Creates a MultiPoint object by copying from an array of ordinates.
OSGeo::FDO::Geometry::IMultiPoint * | CreateMultiPoint (OSGeo::FDO::Geometry::PointCollection *points)
| MultiPoint.
OSGeo::FDO::Geometry::IMultiPolygon * | CreateMultiPolygon (OSGeo::FDO::Geometry::PolygonCollection *polygons)
| Creates a MultiPolygon object by copying from a collection of polygon objects.
OSGeo::FDO::Geometry::IPoint * | CreatePoint (System::Int32 dimensionality, System::Double ordinates[])
| Creates an point object by copying from an array of ordinates.
OSGeo::FDO::Geometry::IPoint * | CreatePoint (OSGeo::FDO::Geometry::IDirectPosition *position)
| Point.
OSGeo::FDO::Geometry::IPolygon * | CreatePolygon (OSGeo::FDO::Geometry::ILinearRing *exteriorRing, OSGeo::FDO::Geometry::LinearRingCollection *interiorRings)
| Polygon.
OSGeo::FDO::Geometry::IRing * | CreateRing (OSGeo::FDO::Geometry::CurveSegmentCollection *curveSegments)
| Ring.
| FgfGeometryFactory ()
| Instantiates an FgfGeometryFactory object.
| FgfGeometryFactory (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs an FgfGeometryFactory based on an unmanaged instance of the object.
System::Byte | GetFgf (OSGeo::FDO::Geometry::IGeometry *geometry)[]
| Gets FGF data from a Geometry.
System::Byte | GetWkb (OSGeo::FDO::Geometry::IGeometry *geometry)[]
| Gets OpenGIS WKB data from a Geometry.